<template>
  <div>
    <rui-empty v-if="generaToSync.length === 0" :content="$t('js.admin.import.nothing_to_import')" />
    <gpa-diffs v-else
               :current-base-url="baseUrl"
               :trusted-class="trustedClass"
               :entities-to-sync="generaToSync" />
  </div>
</template>

<script>
import RuiEmpty from '@experiments-labs/rise_ui/src/components/DataDisplay/Empty/Empty.vue'
import GpaDiffs from './Diff/Diffs.vue'
import TrustedGenus from '../../../classes/models/trustedData/TrustedGenus'

export default {
  name: 'GpaGenera',
  components: { RuiEmpty, GpaDiffs },
  data () {
    return {
      trustedClass: TrustedGenus,
      baseUrl: '/admin/genera',
    }
  },
  computed: {
    generaToSync () { return this.$store.getters.generaToSync },
  },
}
</script>
